menu_mg:
  label: Mega Menu
  namespace: Organisms/TM - Menus
  use: '@organisms/tm-menu/menu-mg/menu-mg.twig'
  description: Mega Menu.
  dependencies:
    - menu_std
    - hamburger
    - bs-tabs-items
  libraries:
    - menu_mg_lib:
        css:
          component:
            ../styles/menu-mg.css: {}
  fields:
    logo_alt:
      type: text
      label: logo_alt
      preview: TOC logo
    logo_height:
      type: text
      label: logo_height
      preview: '43'
    logo_width:
      type: text
      label: logo_width
      preview: '173'
    logo_url:
      type: text
      label: logo_url
      preview: /images/header-logos.svg
    logo_height_minimise:
      type: text
      label: logo_height
      preview: '25'
    logo_width_minimise:
      type: text
      label: logo_width
      preview: '83'
    logo_url_minimise:
      type: text
      label: logo_url_minimise
      preview: /images/header-logos-minimise.svg
    pre_link:
      type: object
      label: Pre link
      preview:
        lid: asdv3v345vb-4aa8-b16d-e64ad2efabc9
        title: <i class="fas fa-home"></i><span class="sr-only">Home<span>
        url: /home
        class: not-tab d-none
    upper_links:
      type: object
      label: Items
      preview:
        - lid: 10572907-2c93-4aa8-b16d-e64ad2efabcd
          title: Travel updates
          url: /
          class: vertical-separator h-md sc-oh
        - lid: 10572907-2c93-4aa8-b16d-e64ad2efabcd
          title: Accessibility Tools
          url: /
          class: vertical-separator h-md sc-oh
        - lid: 10572907-2c93-4aa8-b16d-esdfsdfsdfcd
          title: Login/Register
          url: /
          class: h-md sc-oh
        - lid: 10572907-2c93-4aa8-b16d-e64ad2efabc2
          title: Buy tickets
          url: /
          class: bel buy-tickets-btn dtb desktop-button btn btn-default btn-md
          li_class: mm-links-bt-li
    links:
      type: object
      label: Items
      preview:
        - lid: 10572907-2c93-4aa8-b16d-e64ad2efabc9
          title: Tickets & discounts
          url: /
          class: sc-oh
          in_active_trail: true
          hide_item: true
          sub_links:
            - lid: 8e03b194-8849-4f08-8282-009004ba217a
              title: Find the Right Ticket
              url: /
            - lid: 32a7296c-41b3-48c9-8e5a-96358f98fd8d
              title: Daily Tickets
              url: /
              sub_links:
                - lid: 845eca8b-1187-4ffa-9fe2-e3f834947bd3
                  title: Advance Tickets
                  url: /
                - lid: eb489d85-e3ef-49a6-ba3b-b86a02fac997
                  title: Greater Anglia Mobile Tickets App
                  url: /
                - lid: 95a82976-fb94-4e67-8a0a-a554050398b0
                  title: Off-Peak and Super Off-Peak Tickets
                  url: /
                - lid: b36526d5-ba78-41eb-9116-cdab6ad9e203
                  title: Anytime Tickets
                  url: /
                - lid: b13c82a2-d623-49a9-b1df-e2128d019dd4
                  title: First Class Travel
                  url: /
                - lid: 76f94cf1-5dc2-45be-865d-eeb6fa95fe5b
                  title: Oyster
                  url: /
            - lid: 08fd06ae-4acf-45eb-af56-04a3c26b184f
              title: Season Tickets
              url: /
              sub_links:
                - lid: 9df39cc3-944e-4b66-834d-41948e4a4ed6
                  title: Buy or Renew Online
                  url: /
                - lid: 2b2d5592-397f-49ce-b632-fb250eeff0f5
                  title: Season Ticket Calculator
                  url: /
                - lid: e331b270-17d1-4010-a934-8aff3a003d79
                  title: Smart Card Season Tickets
                  url: /
                - lid: efbda21e-4134-4f93-a368-ccb4fdbfa7a2
                  title: Job Track For Job Seekers
                  url: /
            - lid: 717d93cf-d131-4c68-a7be-9f2edb051dae
              title: Discounts
              url: /
              break: true
              sub_links:
                - lid: 95afcaf8-10d6-48a1-aaba-85f44339f37a
                  title: PLUSBUS
                  url: /
                - lid: 3a2fa40f-a22e-48e2-9a61-9a971e4d4368
                  title: Rangers & Rovers
                  url: /
                - lid: d0dcb8b8-1bc1-42a0-b132-1dc04b54088c
                  title: Railcards
                  url: /
                - lid: 8e256d83-64ab-42f0-80e5-2c9d8a28b715
                  title: Rail and Sail to Holland
                  url: /
                - lid: 584465bc-e2fd-4439-a77b-32985aae66ba
                  title: Duo Tickets
                  url: /
                - lid: 762c821c-014e-4889-b67d-8e230add6114
                  title: Child Train Fares
                  url: /
                - lid: d42fcd26-ad0d-4bde-aaad-1c23bbe1b8ba
                  title: London Evening out
                  url: /
                - lid: f72c261b-07b3-47dd-8d68-9a559f8a90cc
                  title: FlexiPass
                  url: /
            - lid: 3b0f58e3-0ab9-4fb4-a311-50eddbbc0d7a
              title: Business Travel
              url: /
              break: true
              in_active_trail: true
              sub_links:
                - lid: 2d163ee9-dc8d-46b7-8a7a-d3334d6f12b2
                  title: Discounted Season Tickets for Corporates
                  url: /
                - lid: 4e4f7c93-aaaf-4c22-a419-0140301e64d5
                  title: Corporate Carnet
                  url: /
                - lid: a5beae96-9537-4fd7-8352-bfd6f9b24d4d
                  title: Business Return
                  url: /
                  active: true
            - lid: 0b73b0ba-dc7b-4ae9-b001-e182e7c987d1
              title: School/College Travel Discounts
              url: /
            - lid: d2165caf-b1e7-4671-85af-5f47a585985e
              title: Penalty Fares
              url: /
            - lid: 3053a69b-eacb-4065-99f7-b4c38465fb21
              title: Price Promise
              url: /
            - lid: 35d02e0f-448a-452a-a385-321f70800943
              title: Ticket vending machine Price Promise
              url: /
        - lid: dc226904-6eb9-45bb-bdf3-7ce77c68bb23
          title: Travel information
          url: /
          class: sc-oh
          in_active_trail: true
          sub_links:
            - lid: af1a5920-59dd-467e-9e34-1e6bc12040b6
              title: Service Disruptions
              url: /
            - lid: 7f2f1ae0-218d-442e-9e62-0960d69ee908
              title: Service Alterations
              url: /
            - lid: 57a471bf-2bfa-4b0c-bd4c-f2737dc76d22
              title: Live Departure & Arrival Boards
              url: /
            - lid: 79ec1508-7972-4080-abb7-50c2c33ad67a
              title: Timetables
              url: /
            - lid: 75dfde4d-badd-4e92-a69a-33bdc94028aa
              title: Your Journey
              url: /
              in_active_trail: true
              sub_links:
                - lid: 3e139cd1-3ec4-4ce5-99ea-aaf046f45171
                  title: Catering
                  url: /
                - lid: cc4411ca-a5de-4c2e-94b8-3f2a06ffb94d
                  title: Cab&Go
                  url: /
                - lid: e8d45afe-2a1a-4eb0-9f5b-523872d50e05
                  title: Wi-Fi
                  url: /
                  active: true
                - lid: b46d827d-f839-4ef3-9b5c-f55df201ab52
                  title: First Class
                  url: /
                - lid: 6b7e78d3-cd3b-4d22-b56b-b89dcfadc3bd
                  title: Quiet Zone
                  url: /
                - lid: 40b392ef-e5ed-4b5a-b13f-dcb11a829555
                  title: Cycling
                  url: /
                - lid: 5087a9d9-90d9-4b69-ba2e-e1e8f80f6b51
                  title: Lost Property
                  url: /
                - lid: 040085cf-a707-4498-8f13-fa32592bb6a2
                  title: Left Luggage
                  url: /
                - lid: 986b95f7-8f82-41ba-8e76-e6f10582754a
                  title: Priority Seating
                  url: /
                - lid: aedf1cd7-61db-4da6-8638-876455b1f8bd
                  title: National Rail Conditions of Travel
                  url: /
                - lid: 016a1166-a1b6-4e7a-af92-544b057f4b2d
                  title: Mums To Be
                  url: /
                - lid: 096e9b9a-c2fd-4f14-ad44-e76867f43ce9
                  title: Lea Valley Diversions
                  url: /
                - lid: fde68ff5-e894-46be-ab51-2ab901da98d1
                  title: Keeping you Safe and Secure
                  url: /
                - lid: ee1089c8-f501-4671-ba64-62ab59823366
                  title: Platform safety
                  url: /
                - lid: 8a2b1be0-23f5-4d4c-84c3-b31f846db812
                  title: Station Taxi Information
                  url: /
            - lid: 98c8b0cd-f763-4105-acf2-d3b945cc0a70
              title: Airports
              url: /
              break: true
              active: true
              sub_links:
                - lid: 32997518-7b02-40cb-ad38-a20fd90b9420
                  title: London City Airport
                  url: /
                - lid: 55248c8e-dd5e-4f1b-aaa9-218f9573ca8d
                  title: Southend Airport
                  url: /
                - lid: 0310fb7f-ca3c-4ad2-b038-3b2c91982ef7
                  title: Stansted Airport
                  url: /
            - lid: c35a5d36-8055-4d63-8c6e-4079f2339a4b
              title: Car Parking
              url: /
              sub_links:
                - lid: 102c996f-fe81-4a0f-8235-f2c6b7379592
                  title: Car Parking
                  url: /
                - lid: f89ba065-381c-48f6-bb24-5792e58fa603
                  title: Pay and Display Car Parks
                  url: /
            - lid: ffd1e07f-ccea-40b2-83c5-898c656172d3
              title: JourneyCheck
              url: /
            - lid: f0bd7440-14da-403b-bd48-4a4c18c9ab2e
              title: Journey Planning
              url: /
              sub_links:
                - lid: 2878a01f-5017-4a9a-b1f8-5b4a95e131fe
                  title: Mobile Apps
                  url: /
                - lid: 2fa0df62-a139-416a-82fa-220d7e3c0d7f
                  title: Network Map
                  url: /
                - lid: 08633aea-a498-4836-80bb-78a0d72cf2a3
                  title: Print Your Own Timetable
                  url: /
            - lid: 9b3925f3-a69d-4ebb-84ee-67dc26ea5ad7
              title: Station Information
              url: /
            - lid: 2874b43f-7583-4c08-a4b6-0e4808fa8ba9
              title: Accessibility
              url: /
              break: true
              sub_links:
                - lid: 1e8804ce-4eb2-4d0f-922d-60c38f6d9e97
                  title: Coronavirus Assisted Travel information
                  url: /
                - lid: 96d0c9d7-5783-4443-b938-cc4dab24059f
                  title: Accessibility Panel
                  url: /
                - lid: 79e90bf5-0cdb-4f8d-a978-1c28f53215ef
                  title: Train Facilities
                  url: /
                - lid: 71d7230b-0368-4946-82d1-6d49e7ef6443
                  title: Disabled People's Protection Policy
                  url: /
                - lid: 9fa0ff51-8b2a-4679-bfa7-d5b1dcc7c2b6
                  title: Mobility Scooters & Wheelchairs
                  url: /
                - lid: 909236c8-b9f4-4fcd-94c2-9f0c67ef8b41
                  title: Accessible Priority Seating
                  url: /
                - lid: 6e24b466-9f31-49c1-a885-be64b3293da4
                  title: Contact Assisted Travel Team
                  url: /
                - lid: 421c9a57-b497-416a-a4a6-c73322f6cb90
                  title: Website Accessibility
                  url: /
            - lid: ddf0768e-0e5a-403c-9f98-99f19fb7144c
              title: Less Busy Trains
              url: /
            - lid: 60b9db72-f0a6-4dcc-be36-a1047fc65402
              title: Cambridge to Stansted Service
              url: /
            - lid: 6362758c-3ad6-4293-8e98-2291d97c3856
              title: Coronavirus - Our safer travel pledge
              url: /
        - lid: ae304dd7-7499-4387-911b-d20a4ac0738a
          title: Destinations
          url: /
          class: sc-oh
          sub_links:
            - lid: 875a57b4-6b73-4b01-9754-0a8b2d60cf12
              title: Discover
              url: /
            - lid: 3aaf328b-853b-4275-8338-dd4bc6f1ebdc
              title: Lowestoft
              url: /
            - lid: 5f1c3977-ceab-4dc2-8e39-c0743eb5b849
              title: Stowmarket
              url: /
            - lid: 2fe30b64-e54b-47af-982b-1f6f95ad7718
              title: The City of London
              url: /
            - lid: 9d367d7b-1109-4c0a-986b-0b549334b045
              title: The Norfolk Broads
              url: /
            - lid: c6d0670a-32c6-49e0-8c15-295cce8b0dd3
              title: The Suffolk Coast
              url: /
            - lid: 80f20244-5934-48fc-9e08-1e19389702de
              title: Beaches in Your County
              url: /
            - lid: e3375059-34d9-427a-ad6c-0d2d52599592
              title: Book a Hotel
              url: /
            - lid: 59065361-aa49-4798-938c-d1d8ef6ef1b8
              title: Go Shopping by Train
              url: /
            - lid: 4a0d51f2-6861-4cae-a7d3-f5e02e059b60
              title: Popular journeys
              url: /
              break: true
              sub_links:
                - lid: 83bdea25-c157-4d7e-a2d5-93369b43efb0
                  title: Southend Airport to London
                  url: /
                - lid: 2ac47ff0-6950-48f7-81e7-d5b21a114328
                  title: London to Southend Airport
                  url: /
                - lid: e653ce55-1381-46db-9d26-a83c23291ec0
                  title: Norwich to London
                  url: /
                - lid: a1c95b26-cacc-4a56-9e7a-ec3bee58cfab
                  title: London to Norwich
                  url: /
                - lid: 553daf8a-81a8-4b86-91de-7337100bf505
                  title: Cambridge to London
                  url: /
                - lid: 57e39bcb-7f76-4d49-8076-0c247c442ccf
                  title: London to Cambridge
                  url: /
                - lid: a9cf1826-990a-489e-8123-6784f8dfa090
                  title: Colchester to London
                  url: /
                - lid: cd1969b6-c11d-4e3a-bac9-c563d9a27831
                  title: London to Colchester
                  url: /
                - lid: 114b3664-9dda-475b-8f52-94988460cf0a
                  title: Ipswich to London
                  url: /
                - lid: 09badb19-fca3-4398-b066-02d4382847a2
                  title: London to Ipswich
                  url: /
        - lid: 9d38579f-4922-474a-8b04-05f2c35be582
          title: Help
          url: /
          class: sc-oh
          sub_content: '<div class="has-a-class">This is some fixed content</div>'
    post_link:
      type: object
      label: Pre link
      preview:
        lid: tuyjb5r6b-4aa8-b16d-e64ad2efabc9
        title: <i class="fas fa-search"></i><span class="sr-only">Search<span>
        url: /search
        class: not-tab sc-oh
  settings:
    mid:
      type: textfield
      label: Menu ID
    attributes:
      type: attributes
      label: Attributes for the menu wrapper
    show_brd_img:
      type: boolean
      label: Add Branding Image div
      default_value: true
      preview: true
    allow_close:
      type: boolean
      label: Allow close
      default_value: true
      preview: true
    show_close:
      type: boolean
      label: Show close
      default_value: true
      preview: true
    nv_tgl_down:
      type: textfield
      label: Icon down
      default_value: far fa-chevron-down
      preview: far fa-chevron-down
    nv_tgl_up:
      type: textfield
      label: Icon close
      default_value: fas fa-times-circle
      preview: fas fa-times-circle
    tab_version:
      type: textfield
      label: Tab version
      default_value: tbi_c
      preview: tbi_c
    icon:
      type: textfield
      label: Icon class
      default_value: 'fas fa-angle-right'
    md_col_width:
      type: integer
      label: Medium Screen Column Widths
      default_value: 3
    lg_col_width:
      type: integer
      label: Large Screen Column Widths
      default_value: 2
    justify_content:
      type: textfield
      label: Column Justification
      default_value: "space-evenly"
